org.baraza.utils

## Class BWebdav

- java.lang.Object
- - org.baraza.utils.BWebdav

-     public class BWebdav
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BWebdav(String path, String userName, String passWord)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `createDir(String dirName)`
    `boolean` | `delFile(String fileName)`
    `boolean` | `fileCopy(String srcName, String dstName)`
    `boolean` | `fileExists(String fileName)`
    `boolean` | `fileMove(String srcName, String dstName)`
    `InputStream` | `getFile(String fileName)`
    `Map<String,String>` | `getProperties(com.github.sardine.DavResource resource)`
    `List<com.github.sardine.DavResource>` | `listDir(String path)`
    `boolean` | `saveFile(File file, String saveName)`
    `boolean` | `saveFile(InputStream fis, String saveName)`
    `void` | `setPath(String path)`
    `boolean` | `setProperties(String fileName, Map<QName,String> addProps, List<QName> removeProps)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BWebdav

          public BWebdav(String path,
                 String userName,
                 String passWord)

  - ### Method Detail

    - #### setPath

          public void setPath(String path)

    - #### listDir

          public List<com.github.sardine.DavResource> listDir(String path)

    - #### getFile

          public InputStream getFile(String fileName)

    - #### saveFile

          public boolean saveFile(File file,
                         String saveName)

    - #### saveFile

          public boolean saveFile(InputStream fis,
                         String saveName)

    - #### delFile

          public boolean delFile(String fileName)

    - #### createDir

          public boolean createDir(String dirName)

    - #### fileMove

          public boolean fileMove(String srcName,
                         String dstName)

    - #### fileCopy

          public boolean fileCopy(String srcName,
                         String dstName)

    - #### fileExists

          public boolean fileExists(String fileName)

    - #### setProperties

          public boolean setProperties(String fileName,
                              Map<QName,String> addProps,
                              List<QName> removeProps)

    - #### getProperties

          public Map<String,String> getProperties(com.github.sardine.DavResource resource)

Copyright © 2016 openBaraza. All Rights Reserved.